> For the complete documentation index, see [llms.txt](https://docs.orda.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orda.network/developers/sdk.md).

# SDK

## Quick Start

Install the package

{% tabs %}
{% tab title="npm" %}

```bash
npm install @ordanetwork/sdk
```

{% endtab %}

{% tab title="pnpm" %}

```bash
pnpm add @ordanetwork/sdk
```

{% endtab %}

{% tab title="yarn" %}

```bash
yarn add @ordanetwork/sdk
```

{% endtab %}
{% endtabs %}

**Requirements:** Node.js 18.0.0+

### Initialize SDK

```typescript
import { OrdaSDK } from '@ordanetwork/sdk';

const orda = new OrdaSDK({
  clientId: process.env.ORDA_CLIENT_ID,
  clientSecret: process.env.ORDA_CLIENT_SECRET
});
```

Visit the [orda developer portal](https://app.orda.network/) to create a project and manage API keys.

### Bridge & Swap

```typescript
const quote = await orda.quote.request({
  fromChain: '8453', // Base
  fromToken: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913', // USDC on Base
  fromAddress: '0xYourAddress',
  intent: {
    method: 'fromAmount',
    value: '1000000' // 1 USDC (6 decimals)
  },
  settlementDetails: {
    toChain: '42161', // Arbitrum One
    toToken: '0xdAC17F958D2ee523a2206206994597C13D831ec7', // USDT on Arbitrum
    toAddress: '0xRecipientAddress'
  }
})
```

This requests a quote to send **USDC from Base to USDT on Arbitrum**. orda will return the best path, including fees and expected settlement time.

{% hint style="info" %}
"Looking for a ready-to-embed React UI? See [Widget](/developers/widget.md)."
{% endhint %}

### Dependencies

* `@aa-sdk/core`
* `@account-kit/core`
* `@account-kit/infra`
* `@account-kit/smart-contracts`
* `viem`

### License

MIT


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orda.network/developers/sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
